<?php

  session_start();
  $rut=$_SESSION['rut'];
  $cliente=$_SESSION['cliente'];

  $pi_folio=$_REQUEST['pi_folio'];
  $especie_id=$_REQUEST['especie_id'];
    
  include '../../conexion/conn.php';

  $rs = mysql_query("SELECT * FROM cal_planilla_inspeccion where pi_folio='$pi_folio'");

           if($row = mysql_fetch_array($rs)){
            $exportador_cod=$row['pi_exportador_cod'];

          }

  if(isset($_GET['embalaje_cod'])){
    $embalaje_cod=$_GET['embalaje_cod'];
  }else{
    $embalaje_cod="";
  }
  if(isset($_GET['variedad_id'])){
    $variedad_id=$_GET['variedad_id'];
  }else{
    $variedad_id="";
  }
  if(isset($_GET['productor_id'])){
    $productor_id=$_GET['productor_id'];
  }else{
    $productor_id="";
  }
  if(isset($_GET['clasificacion_id'])){
    $clasificacion_id=$_GET['clasificacion_id'];
  }else{
    $clasificacion_id="";
  }
  
  
  $rs = mysql_query("SELECT * FROM cal_filtros where cliente_id='$cliente' AND especie_id='$especie_id' AND filtro_ingreso='CALIBRE'");

    if($row = mysql_fetch_array($rs)){
        if(isset($_GET['calibre_id'])){
            $calibre_id=$_GET['calibre_id'];
          }else{
            $calibre_id="";
          }
    }else{
        $calibre_id="";
    }
  
  
  if(isset($_GET['camara_id'])){
    $camara_id=$_GET['camara_id'];
  }else{
    $camara_id="";
  }
  if(isset($_GET['n_proceso'])){
    $n_proceso=$_GET['n_proceso'];
  }else{
    $n_proceso="";
  }  



?>

<!doctype html>
<html lang="es">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="">
    <meta name="author" content="">

    <title>Lote</title>
  
    <?php
    include '../../rutas/encabezado3.php';
    $menu = "lote";
    ?>
    

   
  </head>

  <body>

    <?php
    include '../../rutas/menu_insp2.php';
    ?>
 
      <div class="jumbotron" style="padding: 5px; height: 10%; margin: 0px;">
        <div class="row">
            

          <?php
          
          
          if($especie_id=='84' || $especie_id=='85' || $especie_id=='118' || $especie_id=='102' || $especie_id=='124' || $especie_id=='117' || $especie_id=='125' || $especie_id=='137' || $especie_id=='133' || $especie_id=='179' || $especie_id=='185'){
              $rs = mysql_query("SELECT * FROM cal_filtros where cliente_id='$cliente' AND especie_id='$especie_id' AND filtro_ingreso='CLASIFICACION'");

           if($row = mysql_fetch_array($rs)){
              echo '<div class="col-sm">
               Clasificacion <select class="form-control" id="clasificacion_id" name="clasificacion_id" onchange="cargar();">';
                $rs2 = mysql_query("SELECT * FROM cal_clasificacion where cliente_id='$cliente' AND especie_id='$especie_id'");
                $i=0;
                echo '<option value="">TODOS</option>';
                while($row2 = mysql_fetch_array($rs2)){
                  if($i==0){
                    if(!isset($_GET['clasificacion_id'])){
                      $clasificacion_id=$row2['clasificacion_id'];
                    }else{
                      $clasificacion_id=$_GET['clasificacion_id'];
                    }
                  }
                  if($clasificacion_id==$row2['clasificacion_id']){
                    echo '<option value="'.$row2['clasificacion_id'].'" selected>'.$row2['clasificacion_cod'].' - '.$row2['nombre_clasificacion'].'</option>';
                    
                  }else{
                    echo '<option value="'.$row2['clasificacion_id'].'">'.$row2['clasificacion_cod'].' - '.$row2['nombre_clasificacion'].'</option>';
                  }
                   $i++;       
                }
                        echo '</select>
              </div>';
           }
          
          $rs = mysql_query("SELECT * FROM cal_filtros where cliente_id='$cliente' AND especie_id='$especie_id' AND filtro_ingreso='EMBALAJE'");

           if($row = mysql_fetch_array($rs)){
              echo '<div class="col-sm">
               Embalaje <select class="form-control" id="embalaje_cod" name="embalaje_cod" onchange="cargar();">';
                $rs2 = mysql_query("SELECT * FROM cal_embalaje where cliente_id='$cliente' AND especie_id='$especie_id' AND tipo_embalaje='CALIDAD'");
                echo '<option value="">TODOS</option>';
                while($row2 = mysql_fetch_array($rs2)){
                          if($embalaje_cod==$row2['embalaje_cod']){
                            echo '<option value="'.$row2['embalaje_cod'].'" selected>'.$row2['embalaje_cod'].'</option>';
                          }else{
                            echo '<option value="'.$row2['embalaje_cod'].'">'.$row2['embalaje_cod'].'</option>';
                          }
                          
                }
                        echo '</select>
              </div>';
           }
           
            $rs = mysql_query("SELECT * FROM cal_filtros where cliente_id='$cliente' AND especie_id='$especie_id' AND filtro_ingreso='VARIEDAD'");

           if($row = mysql_fetch_array($rs)){
              echo '<div class="col-sm">
               Variedad <select class="form-control" id="variedad_id" name="variedad_id" onchange="cargar();">';
                $rs2 = mysql_query("SELECT * FROM cal_variedades where cliente_id='$cliente' AND especie_id='$especie_id' order by cal_variedades.variedad_nombre ASC");
                echo '<option value="">TODOS</option>';
                while($row2 = mysql_fetch_array($rs2)){
                  if($variedad_id==$row2['variedad_id']){
                    echo '<option value="'.$row2['variedad_id'].'" selected>'.$row2['variedad_nombre'].'</option>';
                  }else{
                    echo '<option value="'.$row2['variedad_id'].'">'.$row2['variedad_nombre'].'</option>';
                  }
                          
                }
                        echo '</select>
              </div>';
           }
           
          $rs = mysql_query("SELECT * FROM cal_filtros where cliente_id='$cliente' AND especie_id='$especie_id' AND filtro_ingreso='PRODUCTOR'");

           if($row = mysql_fetch_array($rs)){
              echo '<div class="col-sm">
               Productor <select class="form-control" id="productor_id" name="productor_id" onchange="cargar();">';
                $rs2 = mysql_query("SELECT * FROM cal_productores where cliente_id='$cliente' AND especie_id='$especie_id' ORDER BY productor_nombre ASC");
                echo '<option value="">TODOS</option>';
                while($row2 = mysql_fetch_array($rs2)){
                  if($productor_id==$row2['productor_id']){
                    echo '<option value="'.$row2['productor_id'].'" selected>'.$row2['productor_id'].' - '.$row2['productor_nombre'].'</option>';
                  }else{
                    echo '<option value="'.$row2['productor_id'].'">'.$row2['productor_id'].' - '.$row2['productor_nombre'].'</option>';
                  }
                          
                }
                        echo '</select>
              </div>';
           }

           

           $rs = mysql_query("SELECT * FROM cal_filtros where cliente_id='$cliente' AND especie_id='$especie_id' AND filtro_ingreso='CALIBRE'");

           if($row = mysql_fetch_array($rs)){
              echo '<div class="col-sm">
               Calibre <select class="form-control" id="calibre_id" name="calibre_id" onchange="cargar();">';
                $rs2 = mysql_query("SELECT * FROM cal_calibre where cliente_id='$cliente' AND especie_id='$especie_id' AND estado='ACTIVO' ORDER BY orden_calibre ASC");
                echo '<option value="">TODOS</option>';
                while($row2 = mysql_fetch_array($rs2)){
                  if($calibre_id==$row2['calibre_id']){
                    echo '<option value="'.$row2['calibre_id'].'" selected>'.$row2['calibre_nombre'].'</option>';
                  }else{
                    echo '<option value="'.$row2['calibre_id'].'">'.$row2['calibre_nombre'].'</option>';
                  }
                          
                }
                        echo '</select>
              </div>';
           }else{
              echo '<input type="hidden" id="calibre_id" name="calibre_id" value="">';
           }

          }else{
              
          
          $rs = mysql_query("SELECT * FROM cal_filtros where cliente_id='$cliente' AND especie_id='$especie_id' AND filtro_ingreso='CLASIFICACION'");

           if($row = mysql_fetch_array($rs)){
              echo '<div class="col-sm">
               Clasificacion <select class="form-control" id="clasificacion_id" name="clasificacion_id" onchange="clasificacion();">';
                $rs2 = mysql_query("SELECT * FROM cal_clasificacion where cliente_id='$cliente' AND especie_id='$especie_id'");
                $i=0;
                echo '<option value="">TODOS</option>';
                while($row2 = mysql_fetch_array($rs2)){
                  if($i==0){
                    if(!isset($_GET['clasificacion_id'])){
                      $clasificacion_id=$row2['clasificacion_id'];
                    }else{
                      $clasificacion_id=$_GET['clasificacion_id'];
                    }
                  }
                  if($clasificacion_id==$row2['clasificacion_id']){
                    echo '<option value="'.$row2['clasificacion_id'].'" selected>'.$row2['clasificacion_cod'].' - '.$row2['nombre_clasificacion'].'</option>';
                    
                  }else{
                    echo '<option value="'.$row2['clasificacion_id'].'">'.$row2['clasificacion_cod'].' - '.$row2['nombre_clasificacion'].'</option>';
                  }
                   $i++;       
                }
                        echo '</select>
              </div>';
           }
          
          $rs = mysql_query("SELECT * FROM cal_filtros where cliente_id='$cliente' AND especie_id='$especie_id' AND filtro_ingreso='EMBALAJE'");

           if($row = mysql_fetch_array($rs)){
              echo '<div class="col-sm">
               Embalaje <select class="form-control" id="embalaje_cod" name="embalaje_cod" onchange="cargar();">';
                $rs2 = mysql_query("SELECT * FROM cal_embalaje where cliente_id='$cliente' AND especie_id='$especie_id' AND clasificacion_id='$clasificacion_id' AND tipo_embalaje='CALIDAD'");
                echo '<option value="">TODOS</option>';
                while($row2 = mysql_fetch_array($rs2)){
                          if($embalaje_cod==$row2['embalaje_cod']){
                            echo '<option value="'.$row2['embalaje_cod'].'" selected>'.$row2['embalaje_cod'].'</option>';
                          }else{
                            echo '<option value="'.$row2['embalaje_cod'].'">'.$row2['embalaje_cod'].'</option>';
                          }
                          
                }
                        echo '</select>
              </div>';
           }

          
           $rs = mysql_query("SELECT * FROM cal_filtros where cliente_id='$cliente' AND especie_id='$especie_id' AND filtro_ingreso='VARIEDAD'");

           if($row = mysql_fetch_array($rs)){
              echo '<div class="col-sm">
               Variedad <select class="form-control" id="variedad_id" name="variedad_id" onchange="cargar();">';
                $rs2 = mysql_query("SELECT * FROM cal_variedades where cliente_id='$cliente' AND especie_id='$especie_id' order by cal_variedades.variedad_nombre ASC");
                echo '<option value="">TODOS</option>';
                while($row2 = mysql_fetch_array($rs2)){
                  if($variedad_id==$row2['variedad_id']){
                    echo '<option value="'.$row2['variedad_id'].'" selected>'.$row2['variedad_nombre'].'</option>';
                  }else{
                    echo '<option value="'.$row2['variedad_id'].'">'.$row2['variedad_nombre'].'</option>';
                  }
                          
                }
                        echo '</select>
              </div>';
           }

           $rs = mysql_query("SELECT * FROM cal_filtros where cliente_id='$cliente' AND especie_id='$especie_id' AND filtro_ingreso='PRODUCTOR'");

           if($row = mysql_fetch_array($rs)){
              echo '<div class="col-sm">
               Productor <select class="form-control" id="productor_id" name="productor_id" onchange="cargar();">';
                $rs2 = mysql_query("SELECT * FROM cal_productores where cliente_id='$cliente' AND especie_id='$especie_id' AND exportador_cod='$exportador_cod' ORDER BY productor_nombre ASC");
                echo '<option value="">TODOS</option>';
                while($row2 = mysql_fetch_array($rs2)){
                  if($productor_id==$row2['productor_id']){
                    echo '<option value="'.$row2['productor_id'].'" selected>'.$row2['productor_id'].' - '.$row2['productor_nombre'].'</option>';
                  }else{
                    echo '<option value="'.$row2['productor_id'].'">'.$row2['productor_id'].' - '.$row2['productor_nombre'].'</option>';
                  }
                          
                }
                        echo '</select>
              </div>';
           }

           

           $rs = mysql_query("SELECT * FROM cal_filtros where cliente_id='$cliente' AND especie_id='$especie_id' AND filtro_ingreso='CALIBRE'");

           if($row = mysql_fetch_array($rs)){
              echo '<div class="col-sm">
               Calibre <select class="form-control" id="calibre_id" name="calibre_id" onchange="cargar();">';
                $rs2 = mysql_query("SELECT * FROM cal_calibre where cliente_id='$cliente' AND especie_id='$especie_id' AND exportador_cod='$exportador_cod' AND estado='ACTIVO' ORDER BY orden_calibre ASC");
                echo '<option value="">TODOS</option>';
                while($row2 = mysql_fetch_array($rs2)){
                  if($calibre_id==$row2['calibre_id']){
                    echo '<option value="'.$row2['calibre_id'].'" selected>'.$row2['calibre_nombre'].'</option>';
                  }else{
                    echo '<option value="'.$row2['calibre_id'].'">'.$row2['calibre_nombre'].'</option>';
                  }
                          
                }
                        echo '</select>
              </div>';
           }else{
              echo '<input type="hidden" id="calibre_id" name="calibre_id" value="">';
           }
           
          } //cierre clasi y emba calibre productor

           $rs = mysql_query("SELECT * FROM cal_filtros where cliente_id='$cliente' AND especie_id='$especie_id' AND filtro_ingreso='NPROCESO'");

           if($row = mysql_fetch_array($rs)){
              echo '<div class="col-sm">
               Nº Orden: <input type="numeric" class="form-control" id="n_proceso" name="n_proceso" value="'.$n_proceso.'" onchange="entrar()">
              </div>';
           }else{
              echo '<input type="hidden" id="n_proceso" name="n_proceso" value="">';
           }

           $rs = mysql_query("SELECT * FROM cal_filtros where cliente_id='$cliente' AND especie_id='$especie_id' AND filtro_ingreso='CAMARA'");
           
           if($row = mysql_fetch_array($rs)){
              echo '<div class="col-sm">
               Camara <select class="form-control" id="camara_id" name="camara_id" onchange="cargar();">
                          <option>RED GLOBE</option>
                          
                        </select>
              </div>';
           }else{
              echo '<input type="hidden" id="camara_id" name="camara_id" value="SN">';
           }

           echo '<input type="hidden" id="pi_folio" name="pi_folio" value="'.$pi_folio.'">';
           echo '<input type="hidden" id="especie_id" name="especie_id" value="'.$especie_id.'">';

            ?>
          </div>
      </div>
      
        <div id="ingreso" style="width: 100%; height: 100%; overflow: scroll;">
          
          
        </div>
      
    
    <!-- Bootstrap core JavaScript
    ================================================== -->
    <script type="text/javascript">

      
      setTimeout(cargar,300);
      
  
      function entrar() {
        
        
          cargar();
        
      }
    function clasificacion(){
        var especie_id=$("#especie_id").val();
          var clasificacion_id=$('#clasificacion_id').val();
         // alert(clasificacion_id);
          $('#embalaje_cod').load('getEmbalaje.php?clasificacion_id='+clasificacion_id+'&especie_id='+especie_id);
          var embalaje_cod=$("#embalaje_cod").val();
          setTimeout(cargar,300);
         
    }
        

      function cargar(){

        
          var embalaje_cod=$("#embalaje_cod").val();
          //alert(embalaje_cod);

          var variedad_id=$("#variedad_id").val();
          var productor_id=$("#productor_id").val();
          var clasificacion_id=$("#clasificacion_id").val();
          
          var calibre_id=$("#calibre_id").val();
          var camara_id=$("#camara_id").val();
          var pi_folio=$("#pi_folio").val();
          var especie_id=$("#especie_id").val();
          var n_proceso=$("#n_proceso").val();
          //alert(calibre_id);
          
            $("#ingreso").load("cargar_cajas2.php?embalaje_cod="+embalaje_cod+"&variedad_id="+variedad_id+"&productor_id="+productor_id+"&clasificacion_id="+clasificacion_id+"&calibre_id="+calibre_id+"&camara_id="+camara_id+"&pi_folio="+pi_folio+"&especie_id="+especie_id+"&n_proceso="+n_proceso);
          
      }
      


    </script>
  <?php
  include '../../rutas/scriptfinales3.php';
  ?>  
  </body>
</html>
